Cyberduck Mountain Duck CLI

#5569 closed defect (worksforme)

Cannot maintain connection with Filezilla Server

Reported by: spanishgringo Owned by: dkocher
Priority: high Milestone: 4.0b9
Component: ftp Version: 4.0b8
Severity: critical Keywords: filezilla, STAT, 500
Cc: Architecture: Intel
Platform: Windows XP

Description (last modified by dkocher)

Similar issue as http://trac.cyberduck.ch/ticket/5294 which was unresolved.

I try to connect to a filezilla server and it disconnects when the STAT command is sent.

Here is the log:

220-FileZilla Server version 0.9.34 beta
220-written by Tim Kosse (Tim.Kosse@gmx.de)
220 Please visit http://sourceforge.net/projects/filezilla/
FEAT
211-Features:
 MDTM
 REST STREAM
 SIZE
 MODE Z
 MLST type*;size*;modify*;
 MLSD
 UTF8
 CLNT
 MFMT
211 End
USER username
331 Password required for username
PASS passWord
230 Logged on
OPTS UTF8 ON
200 UTF8 mode enabled
PWD
257 "/" is current directory.
NOOP
200 OK
SYST
215 UNIX emulated by FileZilla
STAT /
500 Syntax error, command unrecognized.
TYPE A
200 Type set to A
PASV

Change History (6)

comment:1 Changed on Dec 15, 2010 at 11:02:56 AM by dkocher

  • Description modified (diff)

comment:2 follow-up: Changed on Dec 19, 2010 at 1:23:56 PM by dkocher

I can replicate a similar issue here when connecting to ftp://ftp.filezilla-project.org. The connection is dropped by the server after sending a FEAT command. This is unexpected.

220 FZ router and firewall tester ready
USER anonymous
331 Give any password.
PASS cyberduck@example.net
230 logged on.
FEAT
500 invalid command, goodbye!
PWD

comment:3 in reply to: ↑ 2 Changed on Dec 19, 2010 at 1:38:54 PM by dkocher

Replying to dkocher:

I can replicate a similar issue here when connecting to ftp://ftp.filezilla-project.org. The connection is dropped by the server after sending a FEAT command. This is unexpected.

For this case an error is now reported as of r8103.

comment:4 Changed on Dec 19, 2010 at 1:41:08 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

I suppose the error reported originally is just a failure opening a data connection to the server. We now have fallback in r8084. Please reopen if this is still an issue with the latest snapshot build to be available later tomorrow.

comment:5 in reply to: ↑ description Changed on Dec 19, 2010 at 1:41:49 PM by dkocher

Replying to spanishgringo:

I try to connect to a filezilla server and it disconnects when the STAT command is sent.

I don't think that is the issue as the server still responds to TYPE A.

comment:6 Changed on Dec 22, 2010 at 3:37:55 PM by dkocher

Please test this using the latest snapshot build available.

Note: See TracTickets for help on using tickets.
swiss made software